Initiate QR Installment Application
Initiate QR Installment Application
Method should be used for initiating QR Installment application. Merchant parameters, price should be passed in request. Successful response body will contain sessionId for given application used in follow-up requests (like confirming application, etc.) and qrCode will contain redirectUrl value, client need qr code for start the qr installment application.
Request Endpoint
https://test-api.tbcbank.ge/v1/online-installments/applications/qrhttps://api.tbcbank.ge/v1/online-installments/applications/qrAuthorization
| Authorization Type | Description |
|---|---|
| Bearer Token | access-token should be added to Authorization header |
Request Parameters
Body Parameters
| Parameter | Type | Description |
|---|---|---|
| merchantKey (required) | string | merchant unique identifier in online installments module |
| invoiceId | string | invoice id |
| priceTotal (required) | number (decimal) | total price of purchase in GEL 0.00. should be equal to sum of all product prices. |
Request Sample
curl --location 'https://test-api.tbcbank.ge/v1/online-installments/applications/qr' \
--header 'Authorization: Bearer ******' \
--header 'Content-Type: application/json' \
--data '{
"merchantKey": "MerchantIntegrationTesting",
"priceTotal": 123.45,
"invoiceId": "123"
}'Response Parameters
Response contains location header with correspondins redirect URL and unique sessionId of the initiated application and QR code image
| Parameter | Type | Description |
|---|---|---|
| sessionId | string (UUID) | unique identifier of the online application session. should be saved for follow-up application requests (e.g. confirm application). |
| qrCode | byte[] | Client can scan qr and start application |
Response Sample
{
"sessionId": "289838bb-f41f-40c2-b9c9-151407acbbbf",
"qrCode":""
} Error Response
In case of error, the standard response in problem json will be returned.
Details can be found at Error Code Description.
Updated about 6 hours ago
Did this page help you?
